Opened 15 years ago

Closed 15 years ago

Last modified 15 years ago

#311 closed defect (invalid)

Log.php error on main page (index.php)

Reported by: tashfini@… Owned by: rjl
Priority: normal Milestone:
Component: PHP scripts Version: 1.0.0
Severity: normal Keywords:
Cc:

Description

My env Suse 9.3 PHP 5.0.3 Mysql 4 path included in php.ini = /etc/php5

Warning: %v%v() [function.%v]: failed to open stream: No such file or directory in /srv/www/htdocs/mail/maia_log.php on line 80

Fatal error: %v%v() [function.require]: Failed opening required 'Log.php' (include_path='/etc/php5/pear/:.:./libs:') in /srv/www/htdocs/mail/maia_log.php on line 80

Attachments (1)

phpinfo.txt (18.3 KB) - added by tashfini@… 15 years ago.
My phpinfo

Download all attachments as: .zip

Change History (5)

Changed 15 years ago by tashfini@…

My phpinfo

comment:1 Changed 15 years ago by dmorton

does admin/configtest.php show that Log is installed?

comment:2 Changed 15 years ago by anonymous

I get the following even though pear is installed on the system. I believe its an error with PHP5.

PHP SKIPPED: PHP 5.0.3 has a bug that causes errors with

PEAR::DB. It is fixed in the current snapshots.

PEAR FAILED: Not installed. The PEAR extension is

required by several other PHP extensions that Maia needs. See this page for more information about downloading and installing PEAR. PEAR::Mail_Mime SKIPPED: Requires PEAR PEAR::DB SKIPPED: Requires PEAR PEAR::DB_Pager SKIPPED: Requires PEAR PEAR::Net_Socket SKIPPED: Requires PEAR PEAR::Net_SMTP SKIPPED: Requires PEAR PEAR::Auth_SASL SKIPPED: Requires PEAR PEAR::Net_IMAP SKIPPED: Requires PEAR PEAR::Net_POP3

comment:3 Changed 15 years ago by dmorton

  • Resolution set to invalid
  • Status changed from new to closed

I thought this sounded like another bug, but now I'm not sure, and no evidence is presented here to pinpoint a bug as opposed to a configuration or install issue. Please discuss this on the mailing list for support. If we find an actual bug there, then reopen the ticket.

Looks to me like your webserver user doesn't have permissions to read the pear files.

comment:4 Changed 15 years ago by rjl

PHP SKIPPED: PHP 5.0.3 has a bug that causes errors with PEAR::DB. It is fixed in the current snapshots. 

The configtest.php script is trying to warn you that PHP 5.0.3 is buggy, and that you should upgrade to a newer version of PHP to solve the problem.

Note: See TracTickets for help on using tickets.